stages:
  - publish

variables:
  IMAGE_TAG: ${CI_REGISTRY_IMAGE}:${CI_PIPELINE_ID}

publish:
  stage: publish
  image: docker:19.03
  variables:
    DOCKER_HOST: tcp://localhost:2375
    DOCKER_TLS_CERTDIR: ""
  services:
    - docker:19.03-dind
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build --pull -t $IMAGE_TAG .
    - docker push $IMAGE_TAG
  only:
    - master